CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2020 开发者帮助

DemandLoadARXApp 属性 (ActiveX)

2024-5-18 18:21| 发布者: admin| 查看: 12| 评论: 0|原作者: admin|来自: AutoCAD

DemandLoadARXApp 属性 (ActiveX)

指定如果图形包含自定义对象,AutoCAD 是否要求加载第三方应用程序。

支持的平台:仅限 Windows

签名

VBA:

object.DemandLoadARXApp
对象

类型:PreferencesOpenSave

此属性应用于的对象。

属性值

只读:

类型:枚举acARXDemandLoad

  • acDemandLoadDisabled:关闭需求加载。
  • acDemandLoadOnObjectDetect:在打开包含自定义对象的图形时按需加载源应用程序。当您调用应用程序的命令之一时,此设置不会要求加载应用程序。
  • acDemandLoadCmdInvoke:在调用源应用程序的命令之一时对源应用程序进行需求加载。当您打开包含自定义对象的图形时,此设置不会要求加载应用程序。
  • acDemandLoadOnObjectDetect + acDemandLoadCmdInvoke:在打开包含自定义对象的图形或调用应用程序的命令之一时,对源应用程序进行需求加载。

言论

此属性的初始值为 。acDemandLoadOnObjectDetect + acDemandLoadCmdInvoke

注意:此属性的值存储在 DEMANDLOAD 系统变量中。

例子

VBA:

Sub Example_DemandLoadARXApp()
    ' This example returns the current setting of
    ' DemandLoadARXApp. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim preferences As AcadPreferences
    Dim currDemandLoadARXApp As Integer
    Dim constant As String
    Dim newConstant As String
    
    Set preferences = ThisDrawing.Application.preferences
    
    ' Retrieve the current DemandLoadARXApp value
    currDemandLoadARXApp = preferences.OpenSave.DemandLoadARXApp
    MsgBox "The current value for DemandLoadARXApp is " & currDemandLoadARXApp, vbInformation, "DemandLoadARXApp Example"
    
    ' Change the value for DemandLoadARXApp
    newConstant = acDemandLoadCmdInvoke
    preferences.OpenSave.DemandLoadARXApp = acDemandLoadCmdInvoke
    MsgBox "The new value for DemandLoadARXApp is " & newConstant, vbInformation, "DemandLoadARXApp Example"
    
    ' Reset DemandLoadARXApp to its original value
    preferences.OpenSave.DemandLoadARXApp = currDemandLoadARXApp
    MsgBox "The DemandLoadARXApp value is reset to " & currDemandLoadARXApp, vbInformation, "DemandLoadARXApp Example"
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_DemandLoadARXApp()
    ;; This example returns the current setting of
    ;; DemandLoadARXApp. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Retrieve the current DemandLoadARXApp value
    (setq currDemandLoadARXApp (vla-get-DemandLoadARXApp (vla-get-OpenSave preferences)))
    (alert (strcat "The current value for DemandLoadARXApp is " (itoa currDemandLoadARXApp)))
    
    ;; Change the value for DemandLoadARXApp
    (setq newConstant acDemandLoadCmdInvoke)
    (vla-put-DemandLoadARXApp (vla-get-OpenSave preferences) newConstant)
    (alert (strcat "The new value for DemandLoadARXApp is " (itoa newConstant)))
    
    ;; Reset DemandLoadARXApp to its original value
    (vla-put-DemandLoadARXApp (vla-get-OpenSave preferences) currDemandLoadARXApp)
    (alert (strcat "The DemandLoadARXApp value is reset to " (itoa currDemandLoadARXApp)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 15:49

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部